Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity
Class AuthenticationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.acegisecurity.AcegiSecurityException
                          org.acegisecurity.AuthenticationException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AccountExpiredException, AuthenticationCredentialsNotFoundException, AuthenticationServiceException, BadCredentialsException, ConcurrentLoginException, CredentialsExpiredException, DisabledException, InsufficientAuthenticationException, LockedException, NonceExpiredException, ProviderNotFoundException, ProxyUntrustedException, SessionAlreadyUsedException

    public abstract class AuthenticationException

extends AcegiSecurityException

Abstract superclass for all exceptions related an `Authentication` object being invalid for whatever reason.

Version:
  $Id: AuthenticationException.java,v 1.6 2005/11/17 00:55:49 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Constructor Summary
`AuthenticationException(String msg)` Constructs an `AuthenticationException` with the specified message and no root cause.
`AuthenticationException(String msg, Throwable t)` Constructs an `AuthenticationException` with the specified message and root cause.

Method Summary
`Authentication` | `getAuthentication()`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getCause, getMessage, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthenticationException

    public AuthenticationException(String msg,
                                   Throwable t)

  Constructs an `AuthenticationException` with the specified message and root cause.

  Parameters:
    `msg` - the detail message
    `t` - the root cause

### AuthenticationException

    public AuthenticationException(String msg)

  Constructs an `AuthenticationException` with the specified message and no root cause.

  Parameters:
    `msg` - the detail message

Method Detail

### getAuthentication

    public Authentication getAuthentication()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.